Author Topic: Can not change PHP version  (Read 12093 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Can not change PHP version
« on: May 26, 2016, 05:23:35 AM »
CWP is using PHP version: 5.4.45
I want to change to 5.6.14, after sometimes I do not view any version changing on homepage. I used both PHP Version Switcher and PHP Selector (New).

CWP version: 0.9.8.14

---------
[root@webserver ~]# tail -f /var/log/php-rebuild.log
make: *** No targets specified and no makefile found.  Stop.
Make DONE!
####################
make: *** No rule to make target `install'.  Stop.
Make Install DONE!
####################
httpd: Could not reliably determine the server's fully qualified domain name, using webserver.recruitvn.com for ServerName
PHP Rebuild Completed
#########################
---------------------


---------------------
[root@webserver ~]# curl http://dl1.centos-webpanel.com/files/s_scripts/sinfo.sh|sh
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
113   792  113   792    0     0   2988      0 --:--:-- --:--:-- --:--:--  9317
===============================================
Kernel:
Linux webserver.recruitvn.com 2.6.32-573.26.1.el6.x86_64 #1 SMP Wed May 4 00:57:44 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

CPU info:
model name      : Intel(R) Xeon(R) CPU E5-2630 v3 @ 2.40GHz

Release:
CentOS release 6.7 (Final)

Arch:
x86_64

Virtualization Type:
kvm

Memory:
             total       used       free     shared    buffers     cached
Mem:          3832        949       2882          0         34        462
-/+ buffers/cache:        453       3379
Swap:            0          0          0

MySQL info:
mysql  Ver 15.1 Distrib 10.1.14-MariaDB, for Linux (x86_64) using readline 5.1

Disk Info:
Filesystem      Size  Used Avail Use% Mounted on
/dev/vda1        79G  5.6G   70G   8% /
tmpfs           1.9G     0  1.9G   0% /dev/shm


#
# /etc/fstab
# Created by anaconda on Wed Sep 16 18:07:49 2015
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
UUID=46d23a90-0777-4238-8c1a-9ec02263ce65 /                       ext4    defaults,usrquota,grpquota        1 1
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0

Apache PHP info
PHP 5.4.45 (cli) (built: May 19 2016 06:13:35)
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies

Apache start script check
httpd=${HTTPD-/usr/local/apache/bin/httpd}

CWP Admin check
/usr/local/cwpsrv/htdocs/admin
===============================================
« Last Edit: May 26, 2016, 05:25:41 AM by rickybui »

Offline
*****
Re: Can not change PHP version
« Reply #1 on: May 26, 2016, 05:28:51 AM »
select and switch to 5.6.14 again, this time wait for at least 30 mins to complete the php switching process you can monitor the process through ssh. and don't restart vps or anything.

Offline
*
Re: Can not change PHP version
« Reply #2 on: May 26, 2016, 07:06:45 AM »
select and switch to 5.6.14 again, this time wait for at least 30 mins to complete the php switching process you can monitor the process through ssh. and don't restart vps or anything.

I was waiting 2 hours but currently PHP version still is 5.4.45
Who can help me?

Offline
*****
Re: Can not change PHP version
« Reply #3 on: May 26, 2016, 07:08:33 AM »
pm me the details of your VPS i'll check and inform

or you can manually install any PHP version
« Last Edit: May 26, 2016, 07:22:56 AM by Sandeep »

Offline
*
Re: Can not change PHP version
« Reply #4 on: May 26, 2016, 07:30:34 AM »
pm me the details of your VPS i'll check and inform

or you can manually install any PHP version

Hi Sandeep, I was pm to you.

Offline
*****
Re: Can not change PHP version
« Reply #5 on: May 26, 2016, 08:34:09 AM »
issue solved installed php 5.6.21

Offline
*
Re: Can not change PHP version
« Reply #6 on: May 26, 2016, 08:39:07 AM »
Thank you so much Sandeep :) Right now, my CWP had latest PHP 5.6 version (5.6.21)

Can you share that how to you solved my problem?

Offline
*****
Re: Can not change PHP version
« Reply #7 on: May 26, 2016, 08:44:20 AM »
php version manually installed